| Irrlicht 3D Engine |

Public Member Functions
irr::gui::IGUISpinBox Class Reference

Single line edit box + spin buttons. More...

`#include <IGUISpinBox.h>`

Inheritance diagram for irr::gui::IGUISpinBox:

List of all members.

## Public Member Functions

- IGUISpinBox (IGUIEnvironment *environment, IGUIElement *parent, s32 id, core::rect< s32 > rectangle)
    constructor
- virtual IGUIEditBox * getEditBox () const =0
    Access the edit box used in the spin control.
- virtual f32 getMax () const =0
    get the maximum value which can be used in the spinbox
- virtual f32 getMin () const =0
    get the minimum value which can be used in the spinbox
- virtual f32 getStepSize () const =0
    get the current step size
- virtual f32 getValue () const =0
    Get the current value of the spinbox.
- virtual void setDecimalPlaces (s32 places)=0
- virtual void setRange (f32 min, f32 max)=0
    set the range of values which can be used in the spinbox
- virtual void setStepSize (f32 step=1.f)=0
    Step size by which values are changed when pressing the spinbuttons.
- virtual void setValue (f32 val)=0
    set the current value of the spinbox

## Detailed Description

Single line edit box + spin buttons.

This element can create the following events of type EGUI_EVENT_TYPE:
  - EGET_SPINBOX_CHANGED

Definition at line 20 of file IGUISpinBox.h.

## Constructor & Destructor Documentation

irr::gui::IGUISpinBox::IGUISpinBox | ( | IGUIEnvironment * | environment,
|  | IGUIElement * | parent,
|  | s32 | id,
|  | core::rect< s32 > | rectangle
| ) |  | `[inline]`

constructor

Definition at line 25 of file IGUISpinBox.h.

## Member Function Documentation

virtual IGUIEditBox* irr::gui::IGUISpinBox::getEditBox | ( |  | ) | const`[pure virtual]`

Access the edit box used in the spin control.

virtual f32 irr::gui::IGUISpinBox::getMax | ( |  | ) | const`[pure virtual]`

get the maximum value which can be used in the spinbox

virtual f32 irr::gui::IGUISpinBox::getMin | ( |  | ) | const`[pure virtual]`

get the minimum value which can be used in the spinbox

virtual f32 irr::gui::IGUISpinBox::getStepSize | ( |  | ) | const`[pure virtual]`

get the current step size

virtual f32 irr::gui::IGUISpinBox::getValue | ( |  | ) | const`[pure virtual]`

Get the current value of the spinbox.

virtual void irr::gui::IGUISpinBox::setDecimalPlaces | ( | s32 | places | ) | `[pure virtual]`

Sets the number of decimal places to display. Note that this also rounds the range to the same number of decimal places.

Parameters:

  places,: | The number of decimal places to display, use -1 to reset

virtual void irr::gui::IGUISpinBox::setRange | ( | f32 | min,
|  | f32 | max
| ) |  | `[pure virtual]`

set the range of values which can be used in the spinbox

Parameters:

  min,: | minimum value
  max,: | maximum value

virtual void irr::gui::IGUISpinBox::setStepSize | ( | f32 | step = `1.f` | ) | `[pure virtual]`

Step size by which values are changed when pressing the spinbuttons.

The step size also determines the number of decimal places to display

Parameters:

  step,: | stepsize used for value changes when pressing spinbuttons

virtual void irr::gui::IGUISpinBox::setValue | ( | f32 | val | ) | `[pure virtual]`

set the current value of the spinbox

Parameters:

  val,: | value to be set in the spinbox

The documentation for this class was generated from the following file:

- IGUISpinBox.h